Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#126 Le 27/09/2005, à 15:04

BigMadWolf

Re : [Info]Drivers ATi 8.16.20

FreedomSound a écrit :

BigMadWolf > C du PCIexpress ?

oui oui...


BigMadWolf
Portable HP Pavilon dv4-1115ef - Ubuntu Intrepid

Hors ligne

#127 Le 27/09/2005, à 15:38

FreedomSound

Re : [Info]Drivers ATi 8.16.20

j'ai un ami ( M@nu-SoLo ici présent) qui à le même problème avec sa carte graphique.

Il a installer les drivers fglrx en suivant le tuto du wiki, à rechercher dans le forum et il a même éssayé l'installation des pilotes ATI avec EasyUbuntu 2.2 mais rien ne fonctionne.

Sa carte graphique c'est une ATI Radeon x700 pci express

Ce serait bien de créer un post spécialement pour régler ce problème sur la x700 en pci express afin de partager nos réflexion, nos trouvaille et peut-être trouver une solution et indiquer une procédure dans le wiki


Nan ?!

Dernière modification par FreedomSound (Le 27/09/2005, à 15:57)


humpf !
M'enfin ?!

Hors ligne

#128 Le 27/09/2005, à 16:03

FreedomSound

Re : [Info]Drivers ATi 8.16.20

en farfouillant un peu dans le forum,  j'ai trouvé ce lien :

http://www.fwimpact.net/blog/2005/06/18/41-portable-xorg-catre-graphique-pci-express

la ligne suivante qui se trouve dans ce tuto m'a l'air intéréssante :

 Option		"BusType"	"PCIE"

De plus, dans ce tuto, il utilise le driver libre radeon..
peut-être qu'en le remplaçant par fglrx çà devrait fonctionner

Dernière modification par FreedomSound (Le 27/09/2005, à 16:06)


humpf !
M'enfin ?!

Hors ligne

#129 Le 27/09/2005, à 16:12

BigMadWolf

Re : [Info]Drivers ATi 8.16.20

cette ligne est indispensable en tk pour faire fonctionner la x700 sous ubuntu avec le driver "ati" d'origine (vous savez le 2D)
sinon écran noir

en plus il faut ajouter la ligne

Option "MonitorLayout" "LVDS, NONE"

si on ne le fait pas on rencontre je ne sais plus quel probleme.

apres avec fglrx je ne sais pas je n'ai pas encore essayé
jai fait un réinstall d'ubuntu, dans la semaine je vais essayer de reinstaller fglrx, mais cette fois pas par les drivers proprio d'ati, plutot pas les packages de ubuntu synaptic, je pense qu'il y a plus de chances pour que cela fonctionne
apres je me pose la question du xorg.conf : faut il changer qque chose d'autre ke "ati" en "fglrx" à l'intérieur ?

Dernière modification par BigMadWolf (Le 27/09/2005, à 16:15)


BigMadWolf
Portable HP Pavilon dv4-1115ef - Ubuntu Intrepid

Hors ligne

#130 Le 28/09/2005, à 11:04

FreedomSound

Re : [Info]Drivers ATi 8.16.20

bah écoute, il a éssayé avec les packages ubuntu (enfin j'ai pas vérifié il est à plus de 600km de chez moi lol) en suivant le wiki et l'accel 3D ne fonctionne toujours pas.


humpf !
M'enfin ?!

Hors ligne

#131 Le 27/10/2005, à 23:57

Mahara

Re : [Info]Drivers ATi 8.16.20

benohite a écrit :

Bonjour,

Je viens de les installer, j'ai gagné 200fps par rapport à la version 8.14. Ce qui m'intéresse plus c'est que je peux maintenant aller dans un terminal et en revenir sans que mon écran se mette en veille cf ce post

A noter que l'installeur ne doit bien fonctionner que pour quelqu'un qui n'a pas encore installer les drivers (ie pas de versions antérieures).
J'ai eu le même problème que lors du passage 8.12 -> 8.14 c'est a dire plus d'accélération 3d parce que conflit de versions.
Pour résoudre le problème, aprés avoir installer:
-> aller dans le répertoire /lib/modules/fglrx/build_mod
-> lancer le script make.sh: sudo ./make.sh
-> remonter d'un répertoire (cd ..)
-> lancer le script make_install.sh: sudo ./make_install.sh
-> sudo modprobe fglrx
-> relancer le serveur X via Ctrl+Alt+Backspace (juste au dessus d'entrer)

A noter que j'ai pas eu besoin de reconfigurer via fglrxconfig.

On ne peut que se rejouir de cette avancée et espérer que ca va continuer comme ça

[edit] Vérifier que vous avez bien installé ces 3 paquets avant de compiler le module :
         - linux-source-2.6.xxx + décompression du tar.bz2 se trouvant dans /usr/src + lien (sudo ln -s /usr/src/linux-source-2.6.xx /usr/src/linux
         - linux-headers-2.6.xx-x-xxx
         - linux-restricted-modules-2.6-xx-x-xxx
Remplacez les x par la version correpondant à votre noyau (uname -r pour la connaitre)
Il vous faudra aussi les paquets nécessaire à la compilation make, build-essential, automake...etc

Si l'accéleration 3d ne fonctionne toujours pas et que vous vous apercevez (via fichier /var/log/Xorg.0.log) que la version du pilote n'est pas la bonne:
supprimez l'ancien module: sudo rm /lib/modules/VERSION_DU_NOYAU/kernel/drivers/video/fglrx.ko
(A noter que ce fichier fglrx.ko peut aussi se trouver dans le répertoire /lib/modules/VERSION_DU_NOYAU/kernel/drivers/char/drm/)

et recommencez la compilation
[/edit]

PS: je ne sais pas s'il y a un rapport mais aprés avoir installé ces pilotes (en fait prés d'1 mois aprés) ma carte est totalement parti en live pendant que je jouais, résultat elle n'est pas grillée mais impossible de l'utiliser, elle me plante l'affichage dès que l'interface se lance.

Ben

J'ai tout fait comme indiqué mais ca fonctionne pas : voici mon log

root@barebone:/home/mahara/Desktop# cat /usr/share/fglrx/fglrx-install.log
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.12-9-386/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.12-9-386 »
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/agp3.o
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/nvidia-agp.o
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/agpgart_be.o
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c: In function `__fgl_agp_init':
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c:8173: attention : « pm_register » est obsolète (déclaré à include/linux/pm.h:106)
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c: In function `__fgl_agp_cleanup':
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c:8183: attention : « pm_unregister_all » est obsolète (déclaré à include/linux/pm.h:116)
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c: At top level:
/lib/modules/fglrx/build_mod/2.6.x/agpgart_be.c:6077: attention : « ati_gart_base » défini mais n'a pas été utilisé
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/i7505-agp.o
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function `firegl_stub_putminor':
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:542: attention : « inter_module_put » est obsolète (déclaré à include/linux/module.h:568)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:544: attention : « inter_module_unregister » est obsolète (déclaré à include/linux/module.h:565)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function `firegl_stub_register':
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:564: attention : « inter_module_register » est obsolète (déclaré à include/linux/module.h:564)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:595: attention : « inter_module_put » est obsolète (déclaré à include/linux/module.h:568)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function `__ke_verify_area':
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1478: attention : « verify_area » est obsolète (déclaré à include/asm/uaccess.h:105)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function `do_vm_kmap_nopage':
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2465: attention : affectation transforme un entier en pointeur sans transtypage
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1964: attention : « deferred_flush » défini mais n'a pas été utilisé
  LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST
Warning: could not find /lib/modules/fglrx/build_mod/2.6.x/.libfglrx_ip.a.GCC3.cmd for /lib/modules/fglrx/build_mod/2.6.x/libfglrx_ip.a.GCC3
  CC      /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
  LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.12-9-386 »
build succeeded with return value 0
duplicating results into driver repository...
done.
==============================
- creating symlink
- recreating module dependency list
- trying a sample load of the kernel module
failed.
[Error] Kernel Module : Failed to install compiled kernel module - please consult readme.

bien entendu je ne trouve pas le readme malgres un updatedb suivi d'un locate

des idées ???


Si les faits ne correspondent pas à la théorie, changez les faits. (Einstein)
http://blog.bpardo.com

Hors ligne

#132 Le 28/10/2005, à 16:13

BigMadWolf

Re : [Info]Drivers ATi 8.16.20

au fait maintenant j'arrive a faire marcher mon accélération 3d, et ce grace au passage à breezy ! à noter pour ceux qui ne l'ont pas encore fait.

sinon Mahara suis plutot les procedures du wiki, en tk pr moi ca a marché (2e solution) : http://wiki.ubuntu-fr.org/materiel/ati


BigMadWolf
Portable HP Pavilon dv4-1115ef - Ubuntu Intrepid

Hors ligne